# Class webdriver.Session

code »

Contains information about a WebDriver session.

## Constructor

webdriver.Session ( id, capabilities )

Parameters

id: `string`
  The session ID.
capabilities: `!(Object|webdriver.Capabilities)`
  The session capabilities.

Show:PublicProtectedPrivate

## Instance Methods

code » getCapabilities ( ) ⇒ `!webdriver.Capabilities`

Returns

This session's capabilities.

code » getCapability ( key ) ⇒ `*`

Retrieves the value of a specific capability.

Parameters

key: `string`
  The capability to retrieve.

Returns

The capability value.

code » getId ( ) ⇒ `string`

Returns

This session's ID.

code » toJSON ( ) ⇒ `string`

Returns the JSON representation of this object, which is just the string session ID.

Returns

The JSON representation of this Session.

## Instance Properties

code » caps_ : `!webdriver.Capabilities`
code » id_ : `string`